<?xml version="1.0" encoding="GB2312"?>
<FEATURE_CONFIG>
    <VIDEO_MODE>
        <SCENE_MODE Value="MovieMode"               Feature="NormalMovieVideo" Mode="single"/>
        <SCENE_MODE Value="ProfessionalVideoMode">
            <RootNode Exps="ZOOM >= 100">
                <TrueNode Feature="NormalMovieVideo" Mode="single"/>
                <FalseNode Feature="NormalVideo" Mode="single"/>
            </RootNode>
        </SCENE_MODE>
        <SCENE_MODE Value="DualVideo">
            <RootNode Exps="IS_FRONT_VIDEO_MODE">
                <TrueNode Feature="DualVideoFront" Mode="single"/>
                <FalseNode Feature="DualVideoBack" Mode="single"/>
            </RootNode>
        </SCENE_MODE>
        <SCENE_MODE Value="SingleVideo">
            <RootNode Exps="IS_FRONT_VIDEO_MODE">
                <TrueNode Feature="DualVideoFront" Mode="single"/>
                <FalseNode Feature="DualVideoBack" Mode="single"/>
            </RootNode>
        </SCENE_MODE>
        <SCENE_MODE Value="TrackVideo"              Feature="NormalTrackVideo" Mode="single"/>
        <SCENE_MODE Value="VideoBokeh"              Feature="NormalVideoBokeh" Mode="single"/>
        <SCENE_MODE Value="NormalVideo">
            <RootNode Exps="BEAUTY_VIDEO_MODE">
                <TrueNode Feature="NormalBeautyVideo" Mode="single"/>
                <FalseNode Feature="NormalVideo" Mode="single"/>
            </RootNode>
        </SCENE_MODE>
    </VIDEO_MODE>
    <CAMERA_CAPTURE>
        <FORE_GROUND_MODE>
            <DCHDC_CALIB_MODE        Feature="HdcCalibMode"       Mode="single"/>
            <LASER_FOV_CALIB_MODE    Feature="LaserFovCalibMode"  Mode="single"/>
            <DCMMI_MODE              Feature="DcMMIMode"          Mode="single"/>
            <DC_SPEC_CALIB_MODE      Feature="DcSpecCalibMode"    Mode="single"/>
            <GRAY_CHECK_MODE         Feature="GrayGheckMode"      Mode="single"/>
            <FRONT_CAMERA_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Feature="foreNormalmode" Mode="single"/>
                </SCENE_MODE>
            </FRONT_CAMERA_MODE>
            <SUPER_CAMERA_NIGHT>
                <RootNode Exps="CAPTURE_ESCAPE">
                    <TrueNode Feature="foreNormalmode" Mode="single"/>
                    <FalseNode Exps="ZOOM &lt; 100">
                        <TrueNode Exps="CAMERA_SUPER_ISO">
                            <TrueNode Feature="foreWideDarkvision" Mode="single"/>
                            <FalseNode Feature="foreWideSupernight" Mode="single"/>
                        </TrueNode>
                        <FalseNode Exps="ZOOM &lt; 300">
                            <TrueNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="foreMainDarkvision" Mode="single"/>
                                <FalseNode Feature="foreMainSupernight" Mode="single"/>
                            </TrueNode>
                            <FalseNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="foreTeleDarkvision" Mode="single"/>
                                <FalseNode Feature="foreTeleSupernight" Mode="single"/>
                            </FalseNode>
                        </FalseNode>
                    </FalseNode>
                </RootNode>
            </SUPER_CAMERA_NIGHT>
            <SCENE_MODE Value="NormalCapture">
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </SCENE_MODE>
        </FORE_GROUND_MODE>
        <BACK_GROUND_MODE>
            <FRONT_CAMERA_MODE>
                <SCENE_MODE Value="UltraHighRes">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="BEAUTY_MODE">
                            <TrueNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="frontRawhdrNightFaceSRBeauty" Mode="single"/>
                                    <FalseNode Feature="frontRawhdrNightFaceSRBeauty" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="IS_LOW_ISO"> <!-- Lux > 1000 -->
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSRBeauty" Mode="single"/>
                                        <FalseNode Feature="frontHighResBeauty" Mode="single"/>
                                    </TrueNode>
                                    <FalseNode Feature="frontRawhdrFaceSRBeauty" Mode="single"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="frontRawhdrNightFaceSRBeauty" Mode="single"/>
                                    <FalseNode Feature="frontRawhdrNightFaceSRBeauty" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="IS_LOW_ISO"> <!-- Lux > 1000 -->
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSRBeauty" Mode="single"/>
                                        <FalseNode Feature="frontHighResBeauty" Mode="single"/>
                                    </TrueNode>
                                    <FalseNode Feature="frontRawhdrFaceSRBeauty" Mode="single"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="PORTRAIT_MODE">
                            <TrueNode Exps="BEAUTY_MODE">
                                <TrueNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrNightFaceSRBokehBeauty" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrNightFaceSRBokehBeauty" Mode="hdrplite"/>
                                    </TrueNode>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSRBokehBeauty" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrFaceSRBokehBeauty" Mode="hdrplite"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrNightFaceSRBokeh" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrNightFaceSRBokeh" Mode="hdrplite"/>
                                    </TrueNode>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSRBokeh" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrFaceSRBokeh" Mode="hdrplite"/>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="BEAUTY_MODE">
                                <TrueNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrNightFaceSRBeauty" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrNightFaceSRBeauty" Mode="hdrplite"/>
                                    </TrueNode>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSRBeauty" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrFaceSRBeauty" Mode="hdrplite"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrNightFaceSR" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrNightFaceSR" Mode="hdrplite"/>
                                    </TrueNode>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="frontRawhdrFaceSR" Mode="rawhdr"/>
                                        <FalseNode Feature="frontRawhdrFaceSR" Mode="hdrplite"/>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="IS_NIGHT_ISO_LV">
                            <TrueNode Exps="IS_RAW_HDR">
                                <TrueNode Feature="frontRawhdrNightFaceSR" Mode="rawhdr"/>
                                <FalseNode Feature="frontRawhdrNightFaceSR" Mode="hdrplite"/>
                            </TrueNode>
                            <FalseNode Exps="IS_RAW_HDR">
                                <TrueNode Feature="frontRawhdrFaceSR" Mode="rawhdr"/>
                                <FalseNode Feature="frontRawhdrFaceSR" Mode="hdrplite"/>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NightShot">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="BEAUTY_MODE">
                            <TrueNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="postFrontRawhdrNightFaceSRBeauty" Mode="rawhdr"/>
                                    <FalseNode Feature="postFrontRawhdrNightFaceSRBeauty" Mode="hdrplite"/>
                                </TrueNode>
                                <FalseNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="postFrontRawhdrFaceSRBeauty" Mode="rawhdr"/>
                                    <FalseNode Feature="postFrontRawhdrFaceSRBeauty" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="postFrontRawhdrNightFaceSR" Mode="rawhdr"/>
                                    <FalseNode Feature="postFrontRawhdrNightFaceSR" Mode="hdrplite"/>
                                </TrueNode>
                                <FalseNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="postFrontRawhdrFaceSR" Mode="rawhdr"/>
                                    <FalseNode Feature="postFrontRawhdrFaceSR" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </FRONT_CAMERA_MODE>
            <BACK_CAMERA_MODE>
                <SCENE_MODE Value="Burst">
                    <RootNode Feature="normalmode" Mode="single"/>
                </SCENE_MODE>
                <SCENE_MODE Value="UltraHighRes">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="WIDE_SCENE_MODE">
                            <TrueNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="CAMERA_SUPER_ISO">
                                    <TrueNode Feature="uwDarkvision" Mode="single"/>
                                    <FalseNode Feature="uwSupernight" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                    <TrueNode Feature="normalmode" Mode="single"/>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode Feature="uwHdrp" Mode="single"/>
                                        <FalseNode Feature="uwHdrplite" Mode="single"/>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_NIGHT_ISO_LV">
                                <TrueNode Exps="CAMERA_SUPER_ISO">
                                    <TrueNode Feature="uwDarkvision" Mode="single"/>
                                    <FalseNode Feature="uwSupernight" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="IS_LOW_ISO">
                                    <TrueNode Exps="IS_RAW_HDR">
                                        <TrueNode Exps="HDRP_CAPTURE_ESCAPE">
                                            <TrueNode Feature="normalmode" Mode="single"/>
                                            <FalseNode Feature="wHdrp" Mode="single"/>
                                        </TrueNode>
                                        <FalseNode Feature="rearHighRes" Mode="single"/>
                                    </TrueNode>
                                    <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Exps="IS_RAW_HDR">
                                            <TrueNode Feature="wHdrp" Mode="single"/>
                                            <FalseNode Feature="wHdrplite" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="ZOOM &lt; 100">
                            <TrueNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="wideEllip" Mode="single"/>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Feature="wideSuperNight" Mode="single"/>
                                    <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Exps="IS_RAW_HDR">
                                            <TrueNode Feature="uwHdrp" Mode="single"/>
                                            <FalseNode Feature="uwHdrplite" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="ZOOM &lt; 300">
                                <TrueNode Exps="CAMERA_SUPER_ISO">
                                    <TrueNode Feature="mainEllip" Mode="single"/>
                                    <FalseNode Exps="IS_NIGHT_ISO_LV">
                                        <TrueNode Feature="mainSuperNight" Mode="single"/>
                                        <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                            <TrueNode Feature="normalmode" Mode="single"/>
                                            <FalseNode Exps="IS_RAW_HDR">
                                                <TrueNode Feature="wHdrp" Mode="single"/>
                                                <FalseNode Feature="wHdrplite" Mode="single"/>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="ZOOM &lt; 600">
                                    <TrueNode Exps="CAMERA_SUPER_ISO">
                                        <TrueNode Feature="teleEllip" Mode="single"/>
                                        <FalseNode Exps="IS_NIGHT_ISO_LV">
                                            <TrueNode Feature="teleSuperNight" Mode="single"/>
                                            <FalseNode Exps="IS_OBJECT_DISTANCE_FAR"> <!-- distance >= 40cm -->
                                                <TrueNode Exps="IS_RAW_HDR">
                                                    <TrueNode Feature="teleHDSR" Mode="single"/>
                                                    <FalseNode Feature="teleSR" Mode="single"/>
                                                </TrueNode>
                                                <FalseNode Exps="IS_RAW_HDR">
                                                    <TrueNode Feature="mainHDSR" Mode="single"/>
                                                    <FalseNode Feature="mainSR" Mode="single"/>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </TrueNode>
                                    <FalseNode Exps="ZOOM &lt; 1000">
                                        <TrueNode Exps="CAMERA_SUPER_ISO">
                                            <TrueNode Feature="teleEllip" Mode="single"/>
                                            <FalseNode Exps="IS_NIGHT_ISO_LV">
                                                <TrueNode Feature="teleSuperNight" Mode="single"/>
                                                <FalseNode Exps="IS_RAW_HDR">
                                                    <TrueNode Feature="teleHDSR" Mode="single"/>
                                                    <FalseNode Feature="teleSR" Mode="single"/>
                                                </FalseNode>
                                            </FalseNode>
                                        </TrueNode>
                                        <FalseNode Exps="ZOOM &lt; 1500">
                                            <TrueNode Exps="IS_RAW_HDR">
                                                <TrueNode Feature="teleHDSR" Mode="single"/>
                                                <FalseNode Feature="teleSR" Mode="single"/>
                                            </TrueNode>
                                            <FalseNode Exps="MOON_SCENE_MODE">
                                                <TrueNode Feature="normalmode" Mode="single"/>
                                                <FalseNode Exps="IS_RAW_HDR">
                                                    <TrueNode Feature="teleHDSR" Mode="single"/>
                                                    <FalseNode Feature="teleSR" Mode="single"/>
                                                </FalseNode>
                                            </FalseNode>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NightShot">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="ZOOM &lt; 100">
                            <TrueNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="normalmode" Mode="single"/>
                                <FalseNode Feature="normalmode" Mode="single"/>
                            </TrueNode>
                            <FalseNode Exps="ZOOM &lt; 300">
                                <TrueNode Exps="CAMERA_SUPER_ISO">
                                    <TrueNode Feature="normalmode" Mode="single"/>
                                    <FalseNode Feature="normalmode" Mode="single"/>
                                </TrueNode>
                                <FalseNode Exps="ZOOM <= 1000">
                                    <TrueNode Exps="CAMERA_SUPER_ISO">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Feature="normalmode" Mode="single"/>
                                    </TrueNode>
                                        <FalseNode Feature="normalmode" Mode="single"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Professional">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="ZOOM &lt; 100">
                            <TrueNode Feature="normalmode" Mode="single"/>
                            <FalseNode Feature="normalmode" Mode="single"/>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="PORTRAIT_MODE">
                            <TrueNode Exps="BEAUTY_MODE">
                                <TrueNode Exps="IS_PORTRAIT_DEDICATED_NIGHT_ISO_LV">
                                    <TrueNode  Feature="lowLightmodeBokehFaceSRBeauty" Mode="single"/>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode  Feature="rawhdrmodeBokehFaceSRBeauty" Mode="single"/>
                                        <FalseNode Feature="normalmodeBokehFaceSRBeauty" Mode="single"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="IS_PORTRAIT_DEDICATED_NIGHT_ISO_LV">
                                    <TrueNode  Feature="lowLightmodeBokeh" Mode="single"/>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode  Feature="rawhdrmodeBokeh" Mode="single"/>
                                        <FalseNode Feature="normalmodeBokeh" Mode="single"/>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="BEAUTY_MODE">
                                <TrueNode Exps="IS_PORTRAIT_DEDICATED_NIGHT_ISO_LV">
                                    <TrueNode  Feature="lowLightmodeBokehFaceSRBeauty" Mode="single"/>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode  Feature="rawhdrmodeBokehFaceSRBeauty" Mode="single"/>
                                        <FalseNode Feature="normalmodeBokehFaceSRBeauty" Mode="single"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="IS_PORTRAIT_DEDICATED_NIGHT_ISO_LV">
                                    <TrueNode  Feature="lowLightmodeBokeh" Mode="single"/>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode  Feature="rawhdrmodeBokeh" Mode="single"/>
                                        <FalseNode Feature="normalmodeBokeh" Mode="single"/>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Aperture">
                    <RootNode Exps="ZOOM == 100">
                        <TrueNode Exps="CAPTURE_ESCAPE">
                            <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="IS_PORTRAIT_DEDICATED_NIGHT_ISO_LV">
                                <TrueNode Feature="lowLightmodeBokeh" Mode="single"/>
                                <FalseNode Exps="IS_RAW_HDR">
                                    <TrueNode Feature="rawhdrmodeBokeh" Mode="single"/>
                                    <FalseNode Feature="normalmodeBokeh" Mode="single"/>
                                </FalseNode>
                            </FalseNode>
                        </TrueNode>
                        <FalseNode Feature="normalmode" Mode="single"/>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="SuperMacro">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="ZOOM &lt; 208">
                            <TrueNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="wideEllip" Mode="single"/>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Feature="wideSuperNight" Mode="single"/>
                                    <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Exps="IS_RAW_HDR">
                                            <TrueNode Feature="uwHdrp" Mode="single"/>
                                            <FalseNode Feature="uwHdrplite" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="mainEllip" Mode="single"/>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Feature="mainSuperNight" Mode="single"/>
                                    <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Exps="IS_RAW_HDR">
                                            <TrueNode Feature="wHdrp" Mode="single"/>
                                            <FalseNode Feature="wHdrplite" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Hdr">
                    <RootNode Exps="CAPTURE_ESCAPE &amp;&amp; !BURST_MODE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="ZOOM &lt; 100">
                            <TrueNode Exps="CAMERA_SUPER_ISO">
                                <TrueNode Feature="wideEllip" Mode="single"/>
                                <FalseNode Exps="IS_NIGHT_ISO_LV">
                                    <TrueNode Feature="wideSuperNight" Mode="single"/>
                                    <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                        <TrueNode Feature="normalmode" Mode="single"/>
                                        <FalseNode Feature="uwHdrp" Mode="single"/>
                                    </FalseNode>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="ZOOM &lt; 350">
                                <TrueNode Exps="CAMERA_SUPER_ISO">
                                    <TrueNode Feature="mainEllip" Mode="single"/>
                                    <FalseNode Exps="IS_NIGHT_ISO_LV">
                                        <TrueNode Feature="mainSuperNight" Mode="single"/>
                                        <FalseNode Exps="HDRP_CAPTURE_ESCAPE">
                                            <TrueNode Feature="normalmode" Mode="single"/>
                                            <FalseNode Feature="wHdrp" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="ZOOM &lt; 600">
                                    <TrueNode Exps="CAMERA_SUPER_ISO">
                                        <TrueNode Feature="teleEllip" Mode="single"/>
                                        <FalseNode Exps="IS_NIGHT_ISO_LV">
                                            <TrueNode Feature="teleSuperNight" Mode="single"/>
                                            <FalseNode Exps="IS_OBJECT_DISTANCE_FAR"> <!-- distance >= 40cm -->
                                                <TrueNode Feature="teleHDSR" Mode="single"/>
                                                <FalseNode Feature="mainHDSR" Mode="single"/>
                                            </FalseNode>
                                        </FalseNode>
                                    </TrueNode>
                                    <FalseNode Exps="CAMERA_SUPER_ISO">
                                        <TrueNode Feature="teleEllip" Mode="single"/>
                                        <FalseNode Exps="IS_NIGHT_ISO_LV">
                                            <TrueNode Feature="teleSuperNight" Mode="single"/>
                                            <FalseNode Feature="teleHDSR" Mode="single"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </BACK_CAMERA_MODE>
        </BACK_GROUND_MODE>
    </CAMERA_CAPTURE>
</FEATURE_CONFIG>
